You are not logged in.

#1 2021-04-23 14:32:04

hayao
Member
From: Japanese
Registered: 2020-04-30
Posts: 28
Website

About the locale packages for ThunderBird

I am japanese using thunderbird. I tried to install thunderbird-i18n-ja but it has been removed from repository.
(At least in my environment, Pacman output the error about thunderbird-i18n-ja was not found)
Can I get the package from official repository ? (I do never want to build from PHGBUILD myself)

Offline

#2 2021-04-24 07:21:10

deep42thought
Administrator
From: Jena, Germany
Registered: 2017-06-17
Posts: 608

Re: About the locale packages for ThunderBird

The problem appears to be, that thunderbird hasn't been built for quite a while (not sure, why - there are no errors logged, as far as I can tell) and thunderbird on x86_64 arch was merged with its i18n subpackages. I'll try to force a thunderbird build and see, why/if it fails.

Offline

#3 2021-04-24 09:51:21

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 416
Website

Re: About the locale packages for ThunderBird

I got into some troubles trying to build thunderbird: https://bugs.archlinux32.org/index.php? … ask_id=143
and gave up for now.

An alternative is to get the AUR package https://aur.archlinux.org/packages/thunderbird-bin/ with a precompiled
version of thunderbird, but this was meant to be extended by language packs, so I doubt the Japanese one
is in there.

Offline

#4 2021-04-29 02:11:26

hayao
Member
From: Japanese
Registered: 2020-04-30
Posts: 28
Website

Re: About the locale packages for ThunderBird

Thank you very much.
But this is an important issue to be solved.

Offline

#5 2021-04-29 08:23:29

abaumann
Administrator
From: Zurich
Registered: 2019-11-14
Posts: 416
Website

Re: About the locale packages for ThunderBird

Yes, that's why there are shim packages icu67 and icu68 making at least the latest version of thunderbird work.
People who want the newest one can ouse thunderbird-bin (I'm pretty sure there is also something alike for firefox).

Compilation of thunderbird, firefox usually cause errors in rust, the rust runtime, binutils linkers, etc. Those bugs
are usually not easy to fix..

Offline

#6 2021-05-04 12:52:16

hayao
Member
From: Japanese
Registered: 2020-04-30
Posts: 28
Website

Re: About the locale packages for ThunderBird

Is there a way to use language packages with thunderbird-bin or firefox-bin?

Offline

#7 2021-05-04 16:15:20

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,009

Re: About the locale packages for ThunderBird

I suspect the simplest way would be to modify the PKGBUILD to download the provided binary with the language support already included and use that.  You're going to need to edit it anyway to fiddle with the architecture= line, so it's not an extra step just a little more work.  I'd propose skipping the sha256sum checking, because the only way you can get that is to sample the speficic tar.bz2 package and get the sum for that, so if it's just you using the japanese translation (or you're not planning to further publish your edited PKGBUILD, which has the same effect) then there's no benefit to you in verifying that.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

Board footer

Powered by FluxBB